<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_31767d7" . "ad58e706" . "dbf47b7a" . "51a0fe6c" . "4" => base64_decode("Y291b" . "nQ="), "_516340c618ee1" . "2b8bfb13b0d280" . "f269f" => base64_decode("U0VMRUNUIG1ldGFfdGV4dCBGUk9NIEVSTVNfbWV0YWRhdGFfZmllbGR" . "fdmFsdWVzIFdIRVJFIG1ldGFkYXRhX2lkPWludDptZXRhX2ZpZWxkX2" . "lkIE9SREVSIEJZIG1ldGFfdmFsdWU="), "_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d" => base64_decode("bG1zZw" . "=="), "_4079816f" . "af0560c68" . "77e40230b" . "8b965f" => base64_decode("REVMRVRFIEZST00gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1Z" . "XMgV0hFUkUgbWV0YWRhdGFfaWQ9aW50Om1ldGFfZmllbGRfaW" . "Q="), "_2d71c655f2a62b" . "5d8b25dbf8acf95" . "2fd" => base64_decode("Q291bGRuJ3Qgb" . "G9hZC4gVW5kZW" . "ZpbmVkIG1ldGE" . "gZmllbGQgSUQ="), "_e2e36e1" . "c2215f26" . "1368b20d" . "15740847" . "e" => base64_decode("SU5TRVJUIElOVE8gRVJNU19tZXRhZGF0YV9maWVsZF92YWx1ZXMgKG1ldGFkYXRhX2lkLG1ldGFfdmFsdWUsbWV0YV90ZXh0KSBWQUxVRVMgKGludDptZXRhX2ZpZWxkX2lkL" . "GludDprZXksIHN0cjp2YWwp"), "_80be54d4bf79b1f177a6b455" . "5ae15ab7" => base64_decode("Q291bGRuJ3Qgc2F2ZS4gVW5kZWZpbmVkIG1ldGEgZ" . "mllbGQgSUQ="), "_2d4b5f427d48c3244c2f195479a6ce" . "d7" => base64_decode("Y29tbW9uLm1ldGFkYXRhLmJsY" . "W5rX3ZhbHVlcw=="), "_7f628626dd1d55c71b1fc0932ffd1" . "d2c" => base64_decode("aXNfYXJyYX" . "k="), "_0926ec1594f04" . "8b9fe0aa9aa05b" . "9a243" => base64_decode("Q291bGRuJ3QgZGVsZXRlLiBVbmRlZm" . "luZWQgbWV0YSBmaWVsZCBJRA=="), "_d162ad33b44d27" . "5ccc6e4b5280b61" . "8df" => base64_decode("bWV0YV90Z" . "Xh0"));





class DynamicMetaFieldValues extends ErrorHandler
{
    var $meta_field_id = 0;
    var $values;
    function __construct($_6e38cb9e043a07cd69a1711a6704c62a = 0)
    {
        $this->meta_field_id = $_6e38cb9e043a07cd69a1711a6704c62a;
        $this->Clear();
    }
    function Clear()
    {
        $this->values = array();
    }
    function Load()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2d71c655f" . "2a62b5d8b2" . "5dbf8acf95" . "2fd"]);
        }
        $this->Clear();
        $db = \Claromentis\Core\Services::I()->GetDb();
        $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_516340c618ee12b8bfb13b0d280" . "f269f"], $this->meta_field_id);
        if (!$_189840d11056515e52402d1412a0b6e4->hasData()) {
            return false;
        }
        while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_189840d11056515e52402d1412a0b6e4->fetchArray()) {
            $this->values[] = $_b8cfc2e06d9d1fec1893ea4a054002bf[$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d162ad33b44d275ccc6e4b5280" . "b618df"]];
        }
        return true;
    }
    function Save()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_80be54d4bf79b1" . "f177a6b4555ae15" . "ab7"]);
        }
        $this->Delete();
        $db = \Claromentis\Core\Services::I()->GetDb();
        foreach ($this->values as $key => $_c96f552040dea8086bf8bdd70059542f) {
            $db->query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e2e36e1c2215f261368b20d1" . "5740847e"], $this->meta_field_id, $key, $_c96f552040dea8086bf8bdd70059542f);
        }
        return true;
    }
    function Delete()
    {
        if (!$this->meta_field_id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0926ec1594f048b9" . "fe0aa9aa05b9a243"]);
        }
        $db = \Claromentis\Core\Services::I()->GetDb();
        return !!$db->query($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4079816faf056" . "0c6877e40230b8" . "b965f"], $this->meta_field_id);
    }
    function GetAllValues()
    {
        return $this->values;
    }
    function SetValues($values)
    {
        if (!$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_7f628626dd1d55c71b1" . "fc0932ffd1d2c"]($values) || $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_31767d7ad58e706d" . "bf47b7a51a0fe6c4"]($values) == 0) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_2d4b5f427d4" . "8c3244c2f195" . "479a6ced7"]));
        }
        $this->values = $values;
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_7f628626dd1d55c71b1fc0932ffd1" . "d2c"]($this->values)) {
            $this->values = array();
        }
        return true;
    }
}